BIOMETRIC-AUTH-CLIENT(8)

NAME
biometric-auth-client - The command line client of the biometric identification framework service

SYNOPSIS
biometric-auth-client [OPTION] BuiltinCommands...

DESCRIPTION
biometric-auth-client The command line client of the biometric identification framework service.

OPTIONS

-h,  --help
    Display help message and exit

BuiltinCommands

get-driver-list       Get Driver List

get-device-list       Get Device List

get-feature-list      Get Feature List

enroll                Enroll Feature

verify                Verify Feature

capture               Capture Feature

search                Search Feature

clean                 Clean Feature

rename                Rename Feature

BuiltinCommands Usage

  get-driver-list
Usage: biometric-auth-client get-driver-list [-afbsevi]

OPTIONS:

    -a  Show all fields (Highest priority)

    -f FEATURE_NAME
        Show 'Driver Full Name' fields

    -b  Show 'Biometric Type' fields

    -s  Show 'Storge Type' fields

    -e  Show 'Feature Type' fields

    -v  Show 'Verify Type' fields

    -i INDEX
        Show 'Identify Type' fields

    -h, --help
        Display "biometric-auth-client get-driver-list" help message and exit

  get-device-list
Usage: biometric-auth-client get-device-list [-afbsevi]

OPTIONS:

    -a  Show all fields (Highest priority)

    -f FEATURE_NAME
        Show 'Driver Full Name' fields

    -b  Show 'Biometric Type' fields

    -s  Show 'Storge Type' fields

    -e  Show 'Feature Type' fields

    -v  Show 'Verify Type' fields

    -i INDEX
        Show 'Identify Type' fields

    -h, --help
        Display "biometric-auth-client get-device-list" help message and exit

  get-feature-list
Usage: biometric-auth-client get-feature-list [-u USER_NAME] -d DRIVER_ID

OPTIONS:

    -u USER_NAME
        User Name (Default is current user)

    -d DRIVER_ID
        Driver(or Device) ID

    -h, --help
        Display "biometric-auth-client get-feature-list" help message and exit

  enroll
Usage: biometric-auth-client enroll [-u USER_NAME] -d DRIVER_ID -n FEATURE_NAME

OPTIONS:

    -u USER_NAME
        User Name (Default is current user)

    -d DRIVER_ID
        Driver(or Device) ID

    -f FEATURE_NAME
        Feature Name

    -h, --help
        Display "biometric-auth-client enroll" help message and exit

  verify
Usage: biometric-auth-client verify [-u USER_NAME] -d DRIVER_ID -i INDEX

OPTIONS:

    -u USER_NAME
        User Name (Default is current user)

    -d DRIVER_ID
        Driver(or Device) ID

    -i INDEX
        Feature Index

    -h, --help
        Display "biometric-auth-client verify" help message and exit

  capture
Usage: biometric-auth-client capture -d DRIVER_ID

OPTIONS:

    -d DRIVER_ID
        Driver(or Device) ID

    -h, --help
        Display "biometric-auth-client capture" help message and exit

  search
Usage: biometric-auth-client search [-u USER_NAME] -d DRIVER_ID [-s INDEX_START] [-e INDEX_END]

OPTIONS:

    -u USER_NAME
        User Name (Not set to search for all users)

    -d DRIVER_ID
        Driver(or Device) ID

    -s INDEX_START
        Start of Feature Index (default 0)

    -e INDEX_END
        End of Feature Index (default -1, means search all)

    -h, --help
        Display "biometric-auth-client search" help message and exit

  clean
Usage: biometric-auth-client clean [-u USER_NAME] -d DRIVER_ID -i INDEX

OPTIONS:

    -u USER_NAME
        User Name (Default is current user)

    -d DRIVER_ID
        Driver(or Device) ID

    -i INDEX
        The Feature Index You Want To Delete (-1 means delete all)

    -h, --help
        Display "biometric-auth-client clean" help message and exit

  rename
Usage: biometric-auth-client rename [-u USER_NAME] -d DRIVER_ID -i INDEX -n NEW_NAME

OPTIONS:

    -u USER_NAME
        User Name (Default is current user)

    -d DRIVER_ID
        Driver(or Device) ID

    -i INDEX
        The Feature Index that needs to be renamed

    -n NEW_NAME
        New Feature Name

    -h, --help
        Display "biometric-auth-client rename" help message and exit